@import "../node_modules/flexboxgrid/dist/flexboxgrid.min.css";
@import "variables";

/* You can add global styles to this file, and also import other style files */
@import url('https://fonts.googleapis.com/css?family=Quicksand:300,400,500,700&display=swap');

* {
  font-family: 'Quicksand', sans-serif;
  color: $text-color;
}

.btn {
  border-radius: 5px;
  border: 1px solid $text-color;
  cursor: pointer;
  font-size: 130%;
  font-weight: bold;
  padding: 0.5rem 0.5rem;
  text-align: center;
  display: block;
  margin: 0 auto;
  vertical-align: center;
  width: 100%;
  &:focus {
    outline: none;
  }
  &.btn-success {
    background-color: $success-light;
    &:hover {
      background-color: darken($success-light, 10%);
    }
    &:active {
      background-color: darken($success-light, 18%);
    }
  }
  &.btn-danger {
    background-color: $danger-light;
    &:hover {
      background-color: darken($danger-light, 10%);
    }
    &:active {
      background-color: darken($danger-light, 18%);
    }
  }
}

input[type=text] {
  border-radius: 5px;
  border: 1px solid $text-color;
  box-sizing: border-box;
  font-size: 130%;
  padding: 0.5rem 0.5rem;
  &:focus,&:active {
    outline: none;
    box-sizing: border-box;
    border: 2px solid $text-color;
  }
}

.text-left{
  text-align: left;
}

.text-center{
  text-align: center;
}

.text-right{
  text-align: right;
}

.width-100 {
  width: 100%;
}

h1 {
  font-size: 200%;
}

h2 {
  font-size: 170%;
}

p {
  font-size: 120%;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.help-modal {
    ol {
      text-align: left !important;
      padding-right: 1rem;
    }
}
